summaryrefslogtreecommitdiff
path: root/dev-ruby/actionview
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/actionview')
-rw-r--r--dev-ruby/actionview/Manifest5
-rw-r--r--dev-ruby/actionview/actionview-5.2.4.3.ebuild61
-rw-r--r--dev-ruby/actionview/actionview-5.2.4.4.ebuild64
-rw-r--r--dev-ruby/actionview/actionview-5.2.4.5.ebuild2
-rw-r--r--dev-ruby/actionview/actionview-6.1.2.1.ebuild (renamed from dev-ruby/actionview/actionview-6.0.3.4.ebuild)4
-rw-r--r--dev-ruby/actionview/actionview-6.1.3.ebuild (renamed from dev-ruby/actionview/actionview-5.2.4.3-r1.ebuild)33
-rw-r--r--dev-ruby/actionview/metadata.xml19
7 files changed, 33 insertions, 155 deletions
diff --git a/dev-ruby/actionview/Manifest b/dev-ruby/actionview/Manifest
index 3f453af3cff0..7b6ed77b18fe 100644
--- a/dev-ruby/actionview/Manifest
+++ b/dev-ruby/actionview/Manifest
@@ -1,5 +1,4 @@
-DIST rails-5.2.4.3.tgz 8824955 BLAKE2B 7db1bdda581e345713b796152c68e13911076c0af752aa91016a559fb380ee33b5f1822576120940995968efa6351165af0e21f97ff2e201bc8250f7e3178089 SHA512 b01b454f38593b50788cecef4f2b25938b0e176d24476bf0a8145b581c7327e0d8572a62fab4256372b51d75a9463431bbd98470a31298a6ff4d5f81f7ff92ce
-DIST rails-5.2.4.4.tgz 8825200 BLAKE2B e56f828f46ef72a2ec59006f37410aa53ca33730452d74d8deefc3975a24940500a48864c18523fad1141e025192b8bfc0c050abc04a01a88333fc825640d4b9 SHA512 6ea50009f769e2e2e6df6cd31fb10e8a770c61f28496432cb7a30265f9064fa8e61c8a0c2569fa056baf31d273ab25cc8c9bd02523214a35e3bbd94e4db293e5
DIST rails-5.2.4.5.tgz 8826076 BLAKE2B 41a13708f72f0c281af7b6c97828d873b9431913315e155bec2f798b83a9fd214a0176a93ba74d96b48718dc900b6737a62f5d6593ef7f5bb0b8430c96e5e234 SHA512 452e0649638daf57e8f7c6131bb048c0d960e875fbc3596678404965fd1438a5151858b22c2441a927509337b6a256671b53c24ee35ff477e18153af358b08af
-DIST rails-6.0.3.4.tgz 18568864 BLAKE2B 8f554a25ce02e4752c1a964257836a5cb0a6c01c3453ff11cd8423a9153e90ab833a32cadfe939a34e094cefd553f5514abd7817004b464b054889ab7dc05b76 SHA512 147f76792ce2d2484071fe247c8f1541c9ca27dcc405ff7a780771e3436a9acf3d326bbfd7c6dceca510b6f4d5209ee0a0859867174b8291d796ffd519fa2ba9
DIST rails-6.0.3.5.tgz 18566999 BLAKE2B b07d1d6c1e2ebaaf3c337350bb08fe339e324818543dcd7163fe3c7ff56f50c5556f369badeb4fd48afa6d95449e18e57fa1b05db6ce544d38ee2f58bd3aa513 SHA512 c9d6bf689aeb40fb728fb681b65c48ebd51de893060ddac37a1fdefbb0d420cee3a456f148d96d577c651c9d7b994efdb3319fa865cb012af8712052a20a0bf3
+DIST rails-6.1.2.1.tgz 10990239 BLAKE2B ff1c9781eab32fda320cb2b9efc92e52ed155b659a43385781bfa422d03653879367bedc7ef4e3accb0a51b7962054eecd5202fd1e1a49ff7946c2f9388a69df SHA512 61e8bf0568c0b06a2c8f6c5e4ae6becc521646a5cdd3d6832c3b52998326a4bd437ad2bd284c010d445a3dc54bf519f7fbd2e9d4368c91b7d2a9abe46e3a276d
+DIST rails-6.1.3.tgz 10991190 BLAKE2B d7a01ad39d4caaee1eaeed9909255fe16c3bd224c61408aca8e319e21ea36566a5be4bbaff37d4d19ee88ec2914e08f85e4e71c970ba39ade8b86f8ba4603b25 SHA512 ec6e871e3226c3efa5dc7f59cbd1819b45ab0d1a21b39b8c2d76022fff761fb268f79c7b560b987af245d9e305ecc4517379de3769d468b5a548005f8533044a
diff --git a/dev-ruby/actionview/actionview-5.2.4.3.ebuild b/dev-ruby/actionview/actionview-5.2.4.3.ebuild
deleted file mode 100644
index 87622071e472..000000000000
--- a/dev-ruby/actionview/actionview-5.2.4.3.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-USE_RUBY="ruby24 ruby25 ruby26"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_DOCDIR="doc"
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
-
-RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
-
-RUBY_FAKEGEM_BINWRAP=""
-
-inherit ruby-fakegem eapi7-ver
-
-DESCRIPTION="Simple, battle-tested conventions and helpers for building web pages"
-HOMEPAGE="https://github.com/rails/rails/"
-SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1-2)"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
-IUSE=""
-
-RUBY_S="rails-${PV}/${PN}"
-
-ruby_add_rdepend "
- ~dev-ruby/activesupport-${PV}
- >=dev-ruby/builder-3.1:* =dev-ruby/builder-3*:*
- >=dev-ruby/erubi-1.4:0
- >=dev-ruby/rails-html-sanitizer-1.0.3:1
- dev-ruby/rails-dom-testing:2
-"
-
-ruby_add_bdepend "
- test? (
- dev-ruby/mocha
- ~dev-ruby/actionpack-${PV}
- ~dev-ruby/activemodel-${PV}
- )"
-
-all_ruby_prepare() {
- # Remove items from the common Gemfile that we don't need for this
- # test run. This also requires handling some gemspecs.
- sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|rack-cache\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|mime-types\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
- -e '/:job/,/end/ s:^:#:' \
- -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
- rm ../Gemfile.lock || die
-
- # Avoid activerecord integration tests because they are very sensitive to the specifics
- # of the environment.
- sed -i -e 's/, "test:integration:active_record"//' Rakefile || die
-
- sed -e '2igem "actionpack", "~> 5.2.0"' \
- -e '2igem "activemodel", "~> 5.2.0"' \
- -e '2igem "railties", "~> 5.2.0"' \
- -e '/active_record/ s:^:#:' \
- -i test/abstract_unit.rb || die
-}
diff --git a/dev-ruby/actionview/actionview-5.2.4.4.ebuild b/dev-ruby/actionview/actionview-5.2.4.4.ebuild
deleted file mode 100644
index 619bae85ca3b..000000000000
--- a/dev-ruby/actionview/actionview-5.2.4.4.ebuild
+++ /dev/null
@@ -1,64 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-USE_RUBY="ruby24 ruby25 ruby26"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_DOCDIR="doc"
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
-
-RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
-
-RUBY_FAKEGEM_EXTRAINSTALL="app"
-
-RUBY_FAKEGEM_BINWRAP=""
-
-inherit ruby-fakegem eapi7-ver
-
-DESCRIPTION="Simple, battle-tested conventions and helpers for building web pages"
-HOMEPAGE="https://github.com/rails/rails/"
-SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1-2)"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
-IUSE=""
-
-RUBY_S="rails-${PV}/${PN}"
-
-ruby_add_rdepend "
- ~dev-ruby/activesupport-${PV}
- >=dev-ruby/builder-3.1:* =dev-ruby/builder-3*:*
- >=dev-ruby/erubi-1.4:0
- >=dev-ruby/rails-html-sanitizer-1.0.3:1
- dev-ruby/rails-dom-testing:2
-"
-
-ruby_add_bdepend "
- test? (
- dev-ruby/mocha
- ~dev-ruby/actionpack-${PV}
- ~dev-ruby/activemodel-${PV}
- ~dev-ruby/railties-${PV}
- )"
-
-all_ruby_prepare() {
- # Remove items from the common Gemfile that we don't need for this
- # test run. This also requires handling some gemspecs.
- sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|rack-cache\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|mime-types\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
- -e '/:job/,/end/ s:^:#:' \
- -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
- rm ../Gemfile.lock || die
-
- # Avoid activerecord integration tests because they are very sensitive to the specifics
- # of the environment.
- sed -i -e 's/, "test:integration:active_record"//' Rakefile || die
-
- sed -e '2igem "actionpack", "~> 5.2.0"' \
- -e '2igem "activemodel", "~> 5.2.0"' \
- -e '2igem "railties", "~> 5.2.0"' \
- -e '/active_record/ s:^:#:' \
- -i test/abstract_unit.rb || die
-}
diff --git a/dev-ruby/actionview/actionview-5.2.4.5.ebuild b/dev-ruby/actionview/actionview-5.2.4.5.ebuild
index f86fbb64d409..982cb573783b 100644
--- a/dev-ruby/actionview/actionview-5.2.4.5.ebuild
+++ b/dev-ruby/actionview/actionview-5.2.4.5.ebuild
@@ -23,7 +23,7 @@ SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz
LICENSE="MIT"
SLOT="$(ver_cut 1-2)"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
IUSE=""
RUBY_S="rails-${PV}/${PN}"
diff --git a/dev-ruby/actionview/actionview-6.0.3.4.ebuild b/dev-ruby/actionview/actionview-6.1.2.1.ebuild
index 74c367a3ec9d..14ddbdd81c38 100644
--- a/dev-ruby/actionview/actionview-6.0.3.4.ebuild
+++ b/dev-ruby/actionview/actionview-6.1.2.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -61,7 +61,7 @@ all_ruby_prepare() {
# Fix loading of activerecord integration tests. This avoids loading
# activerecord twice and thus redefining constants leading to
# failures. Bug #719342
- sed -e '/abstract_unit/arequire "active_record/fixtures"' \
+ sed -e '/abstract_unit/arequire "active_record" ; require "active_record/fixtures"' \
-e '/defined/ s/FixtureSet/ActiveRecord::FixtureSet/' \
-i test/active_record_unit.rb || die
}
diff --git a/dev-ruby/actionview/actionview-5.2.4.3-r1.ebuild b/dev-ruby/actionview/actionview-6.1.3.ebuild
index e9beb5d5a203..14ddbdd81c38 100644
--- a/dev-ruby/actionview/actionview-5.2.4.3-r1.ebuild
+++ b/dev-ruby/actionview/actionview-6.1.3.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-USE_RUBY="ruby24 ruby25 ruby26"
+USE_RUBY="ruby25 ruby26 ruby27"
-RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_RECIPE_DOC="none"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
@@ -15,7 +15,7 @@ RUBY_FAKEGEM_EXTRAINSTALL="app"
RUBY_FAKEGEM_BINWRAP=""
-inherit ruby-fakegem eapi7-ver
+inherit ruby-fakegem
DESCRIPTION="Simple, battle-tested conventions and helpers for building web pages"
HOMEPAGE="https://github.com/rails/rails/"
@@ -23,7 +23,7 @@ SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz
LICENSE="MIT"
SLOT="$(ver_cut 1-2)"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
IUSE=""
RUBY_S="rails-${PV}/${PN}"
@@ -32,7 +32,7 @@ ruby_add_rdepend "
~dev-ruby/activesupport-${PV}
>=dev-ruby/builder-3.1:* =dev-ruby/builder-3*:*
>=dev-ruby/erubi-1.4:0
- >=dev-ruby/rails-html-sanitizer-1.0.3:1
+ >=dev-ruby/rails-html-sanitizer-1.2.0:1
dev-ruby/rails-dom-testing:2
"
@@ -41,7 +41,9 @@ ruby_add_bdepend "
dev-ruby/mocha
~dev-ruby/actionpack-${PV}
~dev-ruby/activemodel-${PV}
+ ~dev-ruby/activerecord-${PV}
~dev-ruby/railties-${PV}
+ dev-ruby/sqlite3
)"
all_ruby_prepare() {
@@ -52,13 +54,14 @@ all_ruby_prepare() {
-e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
rm ../Gemfile.lock || die
- # Avoid activerecord integration tests because they are very sensitive to the specifics
- # of the environment.
- sed -i -e 's/, "test:integration:active_record"//' Rakefile || die
+ # Avoid tests failing due to missing logger setup in activerecord,
+ # most likely related to test environment setup.
+ #rm -f test/activerecord/render_partial_with_record_identification_test.rb || die
- sed -e '2igem "actionpack", "~> 5.2.0"' \
- -e '2igem "activemodel", "~> 5.2.0"' \
- -e '2igem "railties", "~> 5.2.0"' \
- -e '/active_record/ s:^:#:' \
- -i test/abstract_unit.rb || die
+ # Fix loading of activerecord integration tests. This avoids loading
+ # activerecord twice and thus redefining constants leading to
+ # failures. Bug #719342
+ sed -e '/abstract_unit/arequire "active_record" ; require "active_record/fixtures"' \
+ -e '/defined/ s/FixtureSet/ActiveRecord::FixtureSet/' \
+ -i test/active_record_unit.rb || die
}
diff --git a/dev-ruby/actionview/metadata.xml b/dev-ruby/actionview/metadata.xml
index 42d41e33d990..3282caad43d3 100644
--- a/dev-ruby/actionview/metadata.xml
+++ b/dev-ruby/actionview/metadata.xml
@@ -1,11 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>ruby@gentoo.org</email>
- <name>Gentoo Ruby Project</name>
- </maintainer>
- <upstream>
- <remote-id type="github">rails/rails</remote-id>
- </upstream>
-</pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">rails/rails</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file